%% Objektiv - Ostreni
% Martin Zeman, 2009

function ostreni(vyska, sirka, prah, leva, prava, bila, kamera, S)
%% Ostreni na 8 kroku
    for k=1:8
        if bila(leva+1) > bila(prava+1)
            prava = uint16(prava - ((prava - leva) / 3));
            obrazek(prava, kamera, S, vyska, sirka, prah);
        else
            leva = uint16(leva + ((prava - leva) / 3));
            obrazek(leva, kamera, S, vyska, sirka, prah);
        end
    end
% hledani nejostrejsiho
    nej = 0;
    for k=0:400
        if bila(k+1)>bila(nej+1)
            nej = k;
        end
    end
    focus = nej;
    string=sprintf('lfp0%03d',focus);
    fprintf(S, '\002x%s\003x', string);
    while (S.BytesAvailable < 3)
        pause(0.1)
    end
    pause(0.5);
    img = getsnapshot(kamera);  
    figure(1);imshow(img);